diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
index 9a98dcc..b574b9d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
@@ -42,7 +42,7 @@ class SchemaAddTestCase(BaseTestGenerator):
             "defseqacl": [],
             "deftblacl": [],
             "deftypeacl": [],
-            "name": "test_schema_{0}".format(str(uuid.uuid4())[1:6]),
+            "name": "test_schema_{0}".format(str(uuid.uuid4()).replace("-", "")),
             "namespaceowner": db_user,
             "nspacl": [
                 {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
index cfedec5..6cb2106 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
@@ -29,7 +29,7 @@ class SchemaDeleteTestCase(BaseTestGenerator):
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
-        self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:6]
+        self.schema_name = "schema_get_%s" % str(uuid.uuid4()).replace("-", "")
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
index 33af1af..d6ad8f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_put.py
@@ -29,7 +29,7 @@ class SchemaPutTestCase(BaseTestGenerator):
         self.database_info = parent_node_dict["database"][-1]
         self.db_name = self.database_info["db_name"]
         # Change the db name, so that schema will create in newly created db
-        self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:6]
+        self.schema_name = "schema_get_%s" % str(uuid.uuid4()).replace("-", "")
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
index 2061406..fd5f43d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/utils.py
@@ -23,7 +23,7 @@ def get_schema_config_data(db_user):
         "defseqacl": [],
         "deftblacl": [],
         "deftypeacl": [],
-        "name": "test_schema_{0}".format(str(uuid.uuid4())[1:8]),
+        "name": "test_schema_{0}".format(str(uuid.uuid4()).replace("-", "")),
         "namespaceowner": db_user,
         "nspacl": [
                       {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
index a1d98d0..efffe9d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_add.py
@@ -45,7 +45,7 @@ class TypesAddTestCase(BaseTestGenerator):
     def runTest(self):
         """ This function will add type under schema node. """
         db_user = self.server["username"]
-        self.type_name = "test_type_add_%s" % (str(uuid.uuid4())[1:6])
+        self.type_name = "test_type_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {"name": self.type_name,
                 "is_sys_type": False,
                 "typtype": "c",
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
index 8f18b8e..4e2c19d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_delete.py
@@ -41,7 +41,7 @@ class TypesDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete a type.")
-        self.type_name = "test_type_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.type_name = "test_type_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.type_id = types_utils.create_type(self.server, self.db_name,
                                                self.schema_name, self.type_name
                                                )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
index 3fe57af..6066aca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_get.py
@@ -41,7 +41,7 @@ class TypesGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to get a type.")
-        self.type_name = "test_type_get_%s" % (str(uuid.uuid4())[1:6])
+        self.type_name = "test_type_get_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.type_id = types_utils.create_type(self.server, self.db_name,
                                                self.schema_name, self.type_name
                                                )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
index 6a7017b..0c5e04b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/tests/test_types_put.py
@@ -42,7 +42,7 @@ class TypesUpdateTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to update a type.")
-        self.type_name = "test_type_put_%s" % (str(uuid.uuid4())[1:6])
+        self.type_name = "test_type_put_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.type_id = types_utils.create_type(self.server, self.db_name,
                                                self.schema_name, self.type_name
                                                )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
index 1cc23fa..ee16927 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_add.py
@@ -21,7 +21,7 @@ from regression.python_test_utils import test_utils as utils
 
 class ViewsAddTestCase(BaseTestGenerator):
     """This class will add new view under schema node."""
-    view_name = "test_view_add_%s" % (str(uuid.uuid4())[1:6])
+    view_name = "test_view_add_%s" % (str(uuid.uuid4()).replace("-", ""))
     v_data = {"schema": "",
               "owner": "",
               "datacl": [],
@@ -29,7 +29,7 @@ class ViewsAddTestCase(BaseTestGenerator):
               "name": view_name,
               "definition": "SELECT 'Hello World';"
               }
-    m_view_name = "test_mview_add_%s" % (str(uuid.uuid4())[1:6])
+    m_view_name = "test_mview_add_%s" % (str(uuid.uuid4()).replace("-", ""))
     m_view_data = {"spcname": "pg_default",
                    "toast_autovacuum_enabled": False,
                    "autovacuum_enabled": False,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
index 4a41e58..da3a169 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_delete.py
@@ -31,11 +31,11 @@ class ViewsDeleteTestCase(BaseTestGenerator):
         ('Delete view under schema node', dict(url='/browser/view/obj/',
                                                view_name=
                                                "test_view_delete_%s" %
-                                               (str(uuid.uuid4())[1:6]),
+                                               (str(uuid.uuid4()).replace("-", "")),
                                                sql_query=view_sql)),
         ('Delete materialized view under schema node',
          dict(url='/browser/mview/obj/',
-              view_name="test_mview_delete_%s" % (str(uuid.uuid4())[1:6]),
+              view_name="test_mview_delete_%s" % (str(uuid.uuid4()).replace("-", "")),
               sql_query=m_view_sql))
     ]
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
index 9d2cace..d9faf32 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_get.py
@@ -31,11 +31,11 @@ class ViewsGetTestCase(BaseTestGenerator):
         ('Get view under schema node', dict(url='/browser/view/obj/',
                                             view_name=
                                             "test_view_get_%s" %
-                                            (str(uuid.uuid4())[1:6]),
+                                            (str(uuid.uuid4()).replace("-", "")),
                                             sql_query=view_sql)),
         ('Get materialized view under schema node',
          dict(url='/browser/mview/obj/',
-              view_name="test_mview_get_%s" % (str(uuid.uuid4())[1:6]),
+              view_name="test_mview_get_%s" % (str(uuid.uuid4()).replace("-", "")),
               sql_query=m_view_sql))
     ]
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
index 05c1851..a6e6e31 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/test_views_put.py
@@ -32,11 +32,11 @@ class ViewsUpdateTestCase(BaseTestGenerator):
         ('Update view under schema node', dict(url='/browser/view/obj/',
                                                view_name=
                                                "test_view_put_%s" %
-                                               (str(uuid.uuid4())[1:6]),
+                                               (str(uuid.uuid4()).replace("-", "")),
                                                sql_query=view_sql)),
         ('Update materialized view under schema node',
          dict(url='/browser/mview/obj/',
-              view_name="test_mview_put_%s" % (str(uuid.uuid4())[1:6]),
+              view_name="test_mview_put_%s" % (str(uuid.uuid4()).replace("-", "")),
               sql_query=m_view_sql))
     ]
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
index 4fe684c..7dfcb48 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
@@ -23,7 +23,7 @@ class DatabaseDeleteTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
-        self.db_name = "db_delete_%s" % str(uuid.uuid4())[1:4],
+        self.db_name = "db_delete_%s" % str(uuid.uuid4()).replace("-", ""),
         self.db_id = utils.create_database(self.server, self.db_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
         db_dict = {"server_id": self.server_id, "db_id": self.db_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
index 6bd36e6..be89c4d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
@@ -24,7 +24,7 @@ class DatabasesUpdateTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
-        self.db_name = "test_db_put_%s" % str(uuid.uuid4())[1:8]
+        self.db_name = "test_db_put_%s" % str(uuid.uuid4()).replace("-", "")
         self.db_id = utils.create_database(self.server, self.db_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
         db_dict = {"server_id": self.server_id, "db_id": self.db_id,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
index 05ced56..2bd92aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
@@ -91,7 +91,7 @@ def get_db_data(db_owner):
       }
     ],
         "encoding": "UTF8",
-        "name": "db_add_%s" % str(uuid.uuid4())[1:6],
+        "name": "db_add_%s" % str(uuid.uuid4()).replace("-", ""),
         "privileges": [],
         "securities": [],
         "variables": []
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
index 740f2cf..7fc91a3 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
@@ -42,7 +42,7 @@ class ResourceGroupsAddTestCase(BaseTestGenerator):
     def runTest(self):
         """This function will add resource groups under server node"""
         self.resource_group = "test_resource_group_add%s" % \
-                              str(uuid.uuid4())[1:6]
+                              str(uuid.uuid4()).replace("-", "")
         data = {"name": self.resource_group,
                 "cpu_rate_limit": 0,
                 "dirty_rate_limit": 0}
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
index 19fea8c..16aa222 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
@@ -38,7 +38,7 @@ class ResourceGroupsDeleteTestCase(BaseTestGenerator):
                               "and below."
                     self.skipTest(message)
         self.resource_group = "test_resource_group_delete%s" % \
-                              str(uuid.uuid4())[1:6]
+                              str(uuid.uuid4()).replace("-", "")
         self.resource_group_id = resource_groups_utils.create_resource_groups(
             self.server, self.resource_group)
 
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
index 3a97b55..9faec83 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
@@ -39,7 +39,7 @@ class ResourceGroupsPutTestCase(BaseTestGenerator):
                               " and below."
                     self.skipTest(message)
         self.resource_group_name = "test_resource_group_put%s" % \
-                                   str(uuid.uuid4())[1:6]
+                                   str(uuid.uuid4()).replace("-", "")
         self.resource_group_id = resource_groups_utils.create_resource_groups(
             self.server, self.resource_group_name)
 
@@ -50,7 +50,7 @@ class ResourceGroupsPutTestCase(BaseTestGenerator):
         if not resource_grp_response:
             raise Exception("Could not find the resource group to fetch.")
         self.resource_group_name = "test_resource_group_put%s" % \
-                                   str(uuid.uuid4())[1:6]
+                                   str(uuid.uuid4()).replace("-", "")
         data = {"id": self.resource_group_id,
                 "name": self.resource_group_name}
         response = self.tester.put('{0}{1}/{2}/{3}'.format(
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
index 57e7879..776ce4f 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/tests_resource_groups_get.py
@@ -38,7 +38,7 @@ class ResourceGroupsGetTestCase(BaseTestGenerator):
                               " and below."
                     self.skipTest(message)
         self.resource_group = "test_resource_group_get%s" % \
-                         str(uuid.uuid4())[1:6]
+                         str(uuid.uuid4()).replace("-", "")
         self.resource_group_id = resource_groups_utils.create_resource_groups(
             self.server, self.resource_group)
 
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
index adbb4e6..54a1b89 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
@@ -23,7 +23,7 @@ class LoginRoleDeleteTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
-        self.role_name = "role_delete_%s" % str(uuid.uuid4())[1:6]
+        self.role_name = "role_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.role_id = roles_utils.create_role(self.server, self.role_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
         role_dict = {"server_id": self.server_id, "role_id": self.role_id,
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
index eddd499..44841c8 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
@@ -24,7 +24,7 @@ class LoginRoleGetTestCase(BaseTestGenerator):
 
     def setUp(self):
         self.server_id = parent_node_dict["server"][-1]["server_id"]
-        self.role_name = "role_get_%s" % str(uuid.uuid4())[1:6]
+        self.role_name = "role_get_%s" % str(uuid.uuid4()).replace("-", "")
         self.role_id = roles_utils.create_role(self.server, self.role_name)
         role_dict = {"server_id": self.server_id, "role_id": self.role_id,
                      "role_name": self.role_name}
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
index a5ed81c..31cff57 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
@@ -25,7 +25,7 @@ class LoginRolePutTestCase(BaseTestGenerator):
 
     def setUp(self):
         self.server_id = parent_node_dict["server"][-1]["server_id"]
-        self.role_name = "role_put_%s" % str(uuid.uuid4())[1:6]
+        self.role_name = "role_put_%s" % str(uuid.uuid4()).replace("-", "")
         self.role_id = roles_utils.create_role(self.server, self.role_name)
         role_dict = {"server_id": self.server_id, "role_id": self.role_id,
                      "role_name": self.role_name}
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
index 74b21f5..88ca787 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/utils.py
@@ -78,7 +78,7 @@ def get_role_data(lr_pwd):
         "rolcreaterole": "true",
         "rolinherit": "true",
         "rolmembership": [],
-        "rolname": "test_role_%s" % str(uuid.uuid4())[1:6],
+        "rolname": "test_role_%s" % str(uuid.uuid4()).replace("-", ""),
         "rolpassword": lr_pwd,
         "rolvaliduntil": "12/27/2017",
         "seclabels": [],
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
index 615d298..6c76945 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
@@ -32,7 +32,7 @@ class TableSpaceDeleteTestCase(BaseTestGenerator):
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
+        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.server_id = parent_node_dict["server"][-1]["server_id"]
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
index ca322d3..5e57cfa 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
@@ -31,7 +31,7 @@ class TablespaceGetTestCase(BaseTestGenerator):
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
+        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
index 31ea6ab..2decad2 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
@@ -31,7 +31,7 @@ class TableSpaceUpdateTestCase(BaseTestGenerator):
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
-        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
+        self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
         self.server_id = parent_node_dict["server"][-1]["server_id"]
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
index eb16beb..a282591 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/utils.py
@@ -22,7 +22,7 @@ file_name = os.path.basename(__file__)
 def get_tablespace_data(tablespace_path, db_owner):
     """This function returns the tablespace data"""
     data = {
-        "name": "test_%s" % str(uuid.uuid4())[1:8],
+        "name": "test_%s" % str(uuid.uuid4()).replace("-", ""),
         "seclabels": [],
         "spcacl": [
             {
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
index eff6fef..cffefe6 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_role_dependencies_sql.py
@@ -6,14 +6,14 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-from pgadmin.browser.server_groups.servers.roles.tests.utils import create_role, delete_role
-from pgadmin.utils.route import BaseTestGenerator
 import os
+import uuid
 
+from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils
-from regression.python_test_utils.sql_template_test_base import SQLTemplateTestBase
 from regression.python_test_utils.template_helper import file_as_template
-from regression.python_test_utils.test_utils import create_database
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
 
 
 class TestRoleDependenciesSql(BaseTestGenerator):
@@ -30,22 +30,29 @@ class TestRoleDependenciesSql(BaseTestGenerator):
         with test_utils.Database(self.server) as (connection, database_name):
             cursor = connection.cursor()
             try:
+                self.role_name = "test_role_%s" % str(uuid.uuid4()).replace(
+                    "-", "")
                 cursor.execute(
-                    "CREATE ROLE testpgadmin LOGIN PASSWORD '%s'"
-                    % self.server['db_password'])
+                    "CREATE ROLE %s LOGIN PASSWORD '%s'"
+                    % (self.role_name, self.server['db_password']))
+                self.server_id = parent_node_dict["server"][-1]["server_id"]
+                role_dict = {"server_id": self.server_id,
+                             "role_name": self.role_name}
+                utils.write_node_info("lrid", role_dict)
             except Exception as exception:
                 print(exception)
             connection.commit()
 
         self.server_with_modified_user = self.server.copy()
-        self.server_with_modified_user['username'] = "testpgadmin"
+        self.server_with_modified_user['username'] = self.role_name
 
     def runTest(self):
         if hasattr(self, "ignore_test"):
             return
 
         with test_utils.Database(self.server) as (connection, database_name):
-            test_utils.create_table(self.server_with_modified_user, database_name, "test_new_role_table")
+            test_utils.create_table(self.server_with_modified_user,
+                                    database_name, "test_new_role_table")
             cursor = connection.cursor()
             cursor.execute("SELECT pg_class.oid AS table_id "
                            "FROM pg_class "
@@ -61,13 +68,15 @@ class TestRoleDependenciesSql(BaseTestGenerator):
     def tearDown(self):
         with test_utils.Database(self.server) as (connection, database_name):
             cursor = connection.cursor()
-            cursor.execute("DROP ROLE testpgadmin")
+            cursor.execute("DROP ROLE %s" % self.role_name)
             connection.commit()
 
     def generate_sql(self, version):
-        template_file = self.get_template_file(version, "role_dependencies.sql")
+        template_file = self.get_template_file(version,
+                                               "role_dependencies.sql")
         template = file_as_template(template_file)
-        sql = template.render(where_clause="WHERE dep.objid=%s::oid" % self.table_id)
+        sql = template.render(
+            where_clause="WHERE dep.objid=%s::oid" % self.table_id)
 
         return sql
 
@@ -82,4 +91,5 @@ class TestRoleDependenciesSql(BaseTestGenerator):
 
     @staticmethod
     def get_template_file(version, filename):
-        return os.path.join(os.path.dirname(__file__), "..", "templates", "depends", "sql", version, filename)
+        return os.path.join(os.path.dirname(__file__), "..", "templates",
+                            "depends", "sql", version, filename)
